import type { AuthenticatedRequest } from '@n8n/db';
import type { AuthStrategy } from './auth-strategy.types';
export declare class AuthStrategyRegistry {
    private readonly strategies;
    register(strategy: AuthStrategy): void;
    authenticate(req: AuthenticatedRequest): Promise<boolean>;
}
